Bug 148435 - [patch] audio/beep: <machine/speaker.h> is deprecated
Summary: [patch] audio/beep: <machine/speaker.h> is deprecated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-07 19:00 UTC by swell.k
Modified: 2010-07-10 12:14 UTC (History)
0 users

See Also:


Attachments
a.diff (602 bytes, patch)
2010-07-07 19:00 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-07-07 19:00:11 UTC
<dev/speaker/speaker.h> is present since Nov 2005.
It was added to /head in r152306 and MFC'd to /stable/6 in 152520.
All supported releases have it.
Comment 1 Edwin Groothuis freebsd_committer 2010-07-07 19:00:21 UTC
Maintainer of audio/beep,

Please note that PR ports/148435 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148435

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-07 19:00:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael James Brune 2010-07-08 07:09:55 UTC
On 07/07/10 11:00, Edwin Groothuis wrote:
> Maintainer of audio/beep,
>
> Please note that PR ports/148435 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148435
>
>    
Accepted, Compiled on I386 and worked. Thank you for your work.

-- 
Michael James Brune
206-552-8572
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-07-08 10:03:06 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Max Brazhnikov freebsd_committer 2010-07-08 17:18:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 6 dfilter service freebsd_committer 2010-07-10 12:05:31 UTC
makc        2010-07-10 11:05:23 UTC

  FreeBSD ports repository

  Modified files:
    audio/beep           Makefile 
  Log:
  Use dev/speaker/speaker.h instead of deprecated machine/speaker.h
  Allow build on amd64 and pc98
  
  PR:             ports/148435
  Submitted by:   Anonymous <swell.k at gmail.com>
  Approved by:    Michael James Brune (maintainer)
  
  Revision  Changes    Path
  1.10      +5 -1      ports/audio/beep/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2010-07-10 12:14:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!